summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-02-16 20:55:57 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-02-16 23:35:45 +0100
commit300bbfeadd6383d672c55889dd00eee6302be0f3 (patch)
tree4949231f0b367210b8112c4fcaaf34b301ccf5e3
parentdev-php/PEAR-HTML_CSS: Revbump with tests, EAPI and eclass changes (diff)
downloadgentoo-300bbfeadd6383d672c55889dd00eee6302be0f3.tar.gz
gentoo-300bbfeadd6383d672c55889dd00eee6302be0f3.tar.bz2
gentoo-300bbfeadd6383d672c55889dd00eee6302be0f3.zip
dev-java/commons-logging: fix compilation failure.
Closes: https://bugs.gentoo.org/647868 Package-Manager: Portage-2.3.19, Repoman-2.3.6
-rw-r--r--dev-java/commons-logging/commons-logging-1.2-r2.ebuild30
1 files changed, 11 insertions, 19 deletions
diff --git a/dev-java/commons-logging/commons-logging-1.2-r2.ebuild b/dev-java/commons-logging/commons-logging-1.2-r2.ebuild
index bb17056e251..9d530b2fd23 100644
--- a/dev-java/commons-logging/commons-logging-1.2-r2.ebuild
+++ b/dev-java/commons-logging/commons-logging-1.2-r2.ebuild
@@ -34,28 +34,22 @@ DEPEND="
S="${WORKDIR}/${P}-src"
-JAVA_ANT_IGNORE_SYSTEM_CLASSES="yes"
-JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_BUILD_TARGET="compile"
-EANT_DOC_TARGET=""
-
-PATCH=(
- # patch to make the build.xml respect no servletapi
- "${FILESDIR}/${P}-servletapi.patch"
- "${FILESDIR}/${P}-gentoo.patch"
-)
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+JAVA_ANT_IGNORE_SYSTEM_CLASSES="yes"
DOCS=( RELEASE-NOTES.txt PROPOSAL.html )
src_prepare() {
default
+ epatch "${FILESDIR}/${P}-gentoo.patch"
+ # patch to make the build.xml respect no servletapi
+ epatch "${FILESDIR}/${P}-servletapi.patch"
+
# bug #208098
echo "jdk.1.4.present=true" > build.properties || die
- if use servletapi; then
- echo "servletapi.jar=$(java-pkg_getjar --virtual servlet-api-3.1 servlet-api.jar)" >> build.properties || die
- fi
if use avalon-framework; then
echo "avalon-framework.jar=$(java-pkg_getjars avalon-framework-4.2)" >> build.properties || die
fi
@@ -65,22 +59,20 @@ src_prepare() {
if use log4j; then
echo "log4j12.jar=$(java-pkg_getjars log4j)" >> build.properties || die
fi
-}
-src_compile() {
- java-pkg-2_src_compile
- if use doc; then
- ejavadoc -d api -sourcepath src/main/java -subpackages org || die
+ if use servletapi; then
+ echo "servletapi.jar=$(java-pkg_getjar --virtual servlet-api-3.1 servlet-api.jar)" >> build.properties || die
fi
}
src_install() {
- local pkg="org.apache.commons.logging"
+ local pkg=org.apache.commons.logging
java-osgi_newjar "target/${P}.jar" "${pkg}" "Apache Commons Logging" "${pkg};version=\"${PV}\", ${pkg}.impl;version=\"${PV}\""
java-pkg_newjar target/${PN}-api-${PV}.jar ${PN}-api.jar
java-pkg_newjar target/${PN}-adapters-${PV}.jar ${PN}-adapters.jar
- use doc && java-pkg_dojavadoc api
+ einstalldocs
+ use doc && java-pkg_dojavadoc target/docs/
use source && java-pkg_dosrc src/main/java/org
}